Skip to main content
`Ctrl`+`K`

# DMShellGetGlobalVector

Returns the template global vector associated with the `DMSHELL`, or `NULL` if it was not set

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetGlobalVector(DM dm, Vec *X)

Not Collective

## Input Parameters

- dm - `DMSHELL`

- X - template vector

## See Also

`DM`, `DMSHELL`, `DMShellSetGlobalVector()`, `DMShellSetCreateGlobalVector()`, `DMCreateGlobalVector()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages